
;-----------------------------------------------------------------------------
; read in FITS data cube and plot a grid of spectra
; (butchered from a more general prog)
;
; Created:          10 June 96 jpw
;
; Butchered and served to the SCF 11 June 1997, ewr
;...................... START SPECREAD ......................
function init,file0,flag
;------------------
; read in FITS cube
;------------------
common thin_vel
common data_block
common header_block

if flag eq 1 then begin
data0=transpose(readfits(file0,header),[1,2,0])
endif else begin
data0=readfits(file0,header)
endelse

readhd,header
sz=size(data0)
nx0=sz(1);long(naxis1)
ny0=sz(2);long(naxis2)
nv0=sz(3);long(naxis3)
if flag eq 0 then begin
x0=crval1*3600.0
y0=crval2*3600.0
v0=crval3/1000.0
dx0=cdelt1*3600.0
dy0=cdelt2*3600.0
dv0=cdelt3/1000.0
i0=round(100.0*crpix1)/100.0
j0=round(100.0*crpix2)/100.0
k0=crpix3
endif
; ------------------------------------------------------
if flag eq 1 then begin
x0=crval2*3600.0
y0=crval3*3600.0
v0=crval1/1000
dx0=cdelt2*3600.0
dy0=cdelt3*3600.0
dv0=cdelt1/1000
i0=round(100.0*crpix2)/100.0
j0=round(100.0*crpix3)/100.0
k0=crpix1
endif
v0=v0-k0*dv0
plhold=1
return,plhold
end
















