pro loading

common LOAD_BLOCK, filename,message,vaxis
; This is the program which loads data cubes for SCF analysis.
vaxis=string(3) ; Default velocity axis

top1=widget_base(title='Load Data',/column,xoffset=200,yoffset=200)
base1=widget_base(top1,/column)
	filename=cw_field(base1,title='FITS File Name:')
velposn=widget_base(top1,/row)
	message=widget_text(velposn,value='Velocity is axis #'+vaxis)
	switchb=widget_button(velposn, value='Switch',uvalue=3)

	load=widget_button(base1, value='Load',uvalue=1)
	cancel=widget_button(base1, value='Cancel',uvalue=2)


widget_control,/realize,top1
xmanager, 'loading', top1
end

;---------------------------------------------------
pro loading_event, event

common GUI_BLOCK
common LOAD_BLOCK
@varld.cb
widget_control, event.id, get_uvalue=buttonpress

if (buttonpress eq 3) then begin
	vaxis=fix(vaxis)
	vaxis=-1*(vaxis-2)+2
	vaxis=string(vaxis)
	widget_control,message,set_value='Velocity is axis #'+vaxis
endif
if (buttonpress eq 2) then widget_control,event.top,/destroy 

if (buttonpress eq 1) then begin
	widget_control,filename,get_value=file0 
	file0=file0(0)
	okay=findfile(file0)
	if (okay(0) eq '') then begin
		ohno=widget_message('File not found.')
		goto,skipout
	endif
	widget_control,/hourglass
	if (fix(vaxis) eq 1) then flag=1 else flag=0
	plhold=init(file0,flag)
	fitparams=fltarr(nx0,ny0,9)
	newwin=widget_base()
		done=widget_message('Data Loaded',/information)
	widget_control,event.top,/destroy 
	smartname1=strpos(file0(0),'.')
	smartname2=strpos(file0(0),'_')
	if (smartname2(0) lt smartname1(0)) and (smartname2(0) gt 0) $
	then begin
		trim=strmid(file0(0),0,smartname2(0))
		outfilenorm=trim+'.orig.data'
		outfilerand=trim+'.rand.data'	
		goto,skipout
	endif
	if (smartname1(0) ne -1) and (smartname1(0) gt 0) then begin
		trim=strmid(file0(0),0,smartname1(0))
		outfilenorm=trim+'.orig.data'
		outfilerand=trim+'.rand.data'
	endif
	skipout:
endif

return
end

