pro selscrhist,cube,whichplot

wset,1
erase

q=whichplot
ttles=strarr(16)
ttles=['!8S!Iij!3','!8l!8!Iij!3','!8s!Iij!3','!8S!Iij!El!3',$
'!8l!8!Iij!El!3','!8S!Iij!Es!N!3','!8s!Iij!Es!N!3','!8S!Iij!E0!N!3',$
'!8T!IA!E*!N!3','!4D!8v!3','!8v!ILSR!3','!8T!Iint!3','!4r!8!Irms!3',$
'!8T!E*!IA!N/!4r!8!Irms!3','!10"!8l!8!Iij!N!10"!3',$
'!10"!8l!8!El!Iij!N!10"!3','!10"!8l!8!Iij!N!10"!3',$
'!10"!8l!8!El!Iij!N!10"!3']

if n_elements(size(cube))-3 eq 3 then cub=cube(*,*,q) else cub=cube(*,q)

pointer=where(cub ne 99999.0)
if total(pointer) eq -1 then begin
	xyouts,0.25,0.5,'No Valid SCF data',/normal,charsize=2.
	goto,skipout
endif
dit=cub(pointer)
;mini=min(dit)
;maxi=max(dit)
;print,q,mini,maxi
if q eq 0 or q eq 3 or q eq 5 or q eq 7 then begin
mini=0.
maxi=1.
endif

H=histarray(dit,pmin=mini,pmax=maxi,x=x1)

;nuval=float(H)/norm
;H=nuval
mom=moment(dit)
;X=findgen(100)*bins+mini
ttlecat=string(ttles(q)," !8!NDistibution")
;nbins=n_elements(x1)
;xtitles=[sigfig(x1(0),3),sigfig(x1(nbins/5.),3),sigfig(x1(2*nbins/5.),3),$
;sigfig(x1(3*nbins/5.),3),sigfig(x1(4*nbins/5.),3),sigfig(x1(nbins-1),3)]
sz=n_elements(x1)
minval=x1(0)
maxval=x1(sz-1)
if q eq 0 or q eq 3 or q eq 5 or q eq 7 then begin
	xtitles= ['0.0','0.2','0.4','0.6','0.8','1.0']
	minval=0.
	maxval=1.
endif
H=float(H)/total(H)
plot,x1,H,psym=10,title=ttlecat,$
ytitle='Population Fraction',$
xtitle=ttles(q)+'!N Value '+units(q),xrange=[minval,maxval],xstyle=1.
;,xtickname=xtitles,xticks=5,thick=2
;wset,0
skipout:
end


