pro comphists

common COMPARE_BLOCK,filename1

top=widget_base(/column,title='Data Analysis Window',xoffset=250,yoffset=250)
	sij=widget_button(top,value='S_ij',uvalue=10)
	slij=widget_button(top,value='S^l_ij',uvalue=13)
	ssij=widget_button(top,value='S^s_ij',uvalue=15)
	s0ij=widget_button(top,value='S^0_ij',uvalue=17)
	message3=widget_text(top,$
		value='Export a histogram to a PostScript file.')
	row6=widget_base(top,/row)
		sijp=widget_button(row6,value='S_ij',uvalue=20)
		slijp=widget_button(row6,value='S^l_ij',uvalue=23)
		ssijp=widget_button(row6,value='S^s_ij',uvalue=25)
		s0ijp=widget_button(row6,value='S^0_ij',uvalue=27)
	filename1=cw_field(top,title='Histogram File Name:',$
		value='histogram.ps')
	quit=widget_button(top,value='Done.',uvalue=99)
widget_control,/realize,top

xmanager, 'comphists', top 
end
;---------------------------

pro comphists_event,event
@varld.cb
common GUI_BLOCK
common COMPARE_BLOCK
widget_control, event.id, get_uvalue=buttonpress

if (buttonpress lt 20) then begin
	plots=buttonpress-10
	if (total(outdata(*,*,plots) ne 99999.0) eq 0) then begin
		wset,0
		erase
		xyouts,0.2,0.5,'No Valid Data Available',/normal,charsize=3
		goto,skipout1 
	endif
	comphistplot,plots,0,' '
	skipout1:
endif

if ((buttonpress ge 20) and (buttonpress lt 99)) then begin
	widget_control,filename1,get_value=filename
	plots=buttonpress-20
	if (total(outdata(*,*,plots) ne 99999.0) eq 0) then begin
		warn=widget_message('No Valid Data in Histogram')
		goto,skipout2
	endif
	comphistplot,plots,1,filename(0)
	done=widget_message('Histogram Exported to file '+filename(0))
	skipout2:
endif

if (buttonpress eq 99) then begin
	wdelete,0
	widget_control,event.top,/destroy
endif

end





