function randomize,incube

;------------------------------------
; Randomizes the positions of spectra in the INCUBE input.
; As a word of warning, the program also randomizes the FITPARAMS cube
;------------------------------------
@varld.cb
sz=size(incube)
sx=sz(1)
sy=sz(2)
sv=sz(3)
print,'Randomizing Data Cube...'
i=0
rand=randomu(seed,sx*sy)
newindex=sort(rand)
X=newindex mod sx
Y=floor(newindex/sx)
;contour,incube,/nodata
outcube=fltarr(sx,sy,sv)
outfit=fltarr(sx,sy,9)
for a=0,sx-1 do begin
for b=0,sy-1 do begin
outcube(x(i),y(i),*)=incube(a,b,*)
outfit(x(i),y(i),*)=fitparams(a,b,*)
i=i+1
endfor
endfor
fitparams=outfit
return,outcube
end

