pro scf

; The SCF program calls the main processing routine SC7 to analyze
; spectra.  This program also orchestrates the addition of noise and
; the randomization of spectra through the routines EVENNOISE and 
; RANDOMIZE respectively.
@varld.cb

if flag2 eq 1 then begin
newdata=evennoise(1)
shade_surf,fitparams(*,*,8)*(fitparams(*,*,5) eq 0)
data0=newdata
endif

@dmask
mask=(mask le (res-1)/2)
print,mask
sc7

if flag3 eq 1 then begin
save,filename='scf.orig.data',outdata,fitparams
data0=randomize2(data0)
sc7
save,filename='scf.rand.data',outdata,fitparams
endif

end




